org.apache.avro.thrift

## Class ThriftDatumWriter<T>

- java.lang.Object
- - org.apache.avro.generic.GenericDatumWriter<T>
  - - org.apache.avro.thrift.ThriftDatumWriter<T>

- All Implemented Interfaces:
    DatumWriter<T>

      public class ThriftDatumWriter<T>
      extends GenericDatumWriter<T>

  `DatumWriter` for generated thrift classes.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ThriftDatumWriter()`
    `` | `ThriftDatumWriter(Class<T> c)`
    `` | `ThriftDatumWriter(Schema schema)`
    `protected` | `ThriftDatumWriter(Schema root, ThriftData thriftData)`
    `protected` | `ThriftDatumWriter(ThriftData thriftData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeBytes(Object datum, Encoder out)` Called to write a bytes.

    - ### Methods inherited from class org.apache.avro.generic.GenericDatumWriter

      `addAvroTypeMsg, addClassCastMsg, convert, getArrayElements, getArraySize, getData, getMapEntries, getMapSize, npe, resolveUnion, setSchema, write, write, writeArray, writeEnum, writeField, writeFixed, writeMap, writeRecord, writeString, writeString, writeWithoutConversion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftDatumWriter

          public ThriftDatumWriter()

    - #### ThriftDatumWriter

          public ThriftDatumWriter(Class<T> c)

    - #### ThriftDatumWriter

          public ThriftDatumWriter(Schema schema)

    - #### ThriftDatumWriter

          protected ThriftDatumWriter(Schema root,
                                      ThriftData thriftData)

    - #### ThriftDatumWriter

          protected ThriftDatumWriter(ThriftData thriftData)

  - ### Method Detail

    - #### writeBytes

          protected void writeBytes(Object datum,
                                    Encoder out)
                             throws IOException

      Description copied from class: `GenericDatumWriter`
      Called to write a bytes. May be overridden for alternate bytes representations.
      Overrides:
        `writeBytes` in class `GenericDatumWriter<T>`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.